NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.TrimCurve2Builder Class Reference

Represents a NXOpen.Features.TrimCurve2 builder More...

Inheritance diagram for NXOpen.Features.TrimCurve2Builder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CurveExtension { Natural, Linear, Circular, None }
 the Curve extension selection More...
 
enum  Direction { Shortest3DDistance, AlongDirection }
 the Direction type selection More...
 
enum  KeepDiscard { Keep, Discard }
 the Keep or Discard selection More...
 
enum  Operation { Trim, Divide }
 the Trim or Divide selection More...
 

Public Member Functions

unsafe
NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder 
CreateTrimCurveBoundingObjectBuilder ()
 Creates an NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder object. More...
 
unsafe void DeselectDivideLocation (NXOpen.Point3d helpPoint)
 The function deselects the divide location. More...
 
unsafe void DeselectTrimRegion (NXOpen.Point3d helpPoint)
 The function sets help point for region select. More...
 
unsafe void ResetTrimRegions ()
 The function deselects all trim regions More...
 
unsafe void SelectDivideLocation (NXOpen.Point3d helpPoint)
 The function selects the divide location. More...
 
unsafe void SelectTrimRegion (NXOpen.Point3d helpPoint)
 The function sets help point for region select. More...
 
unsafe void UpdateTrimRegionsAndDivideLocations ()
 The regions are recreated and updated to reflect the change in the boundary curves More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilderList 
BoundingObjectList [get]
 Returns the list of bounding objects More...
 
unsafe
NXOpen.Features.TrimCurve2Builder.CurveExtension 
CurveExtensionOption [get, set]
 Returns or sets the curve extension option More...
 
unsafe
NXOpen.GeometricUtilities.CurveOptions 
CurveOptions [get]
 Returns the Curve Options More...
 
unsafe NXOpen.Section CurveToTrim [get]
 Returns the curve to trim More...
 
unsafe
NXOpen.Features.TrimCurve2Builder.Direction 
DirectionOption [get, set]
 Returns or sets the direction type More...
 
unsafe
NXOpen.Features.TrimCurve2Builder.KeepDiscard 
KeepOrDiscard [get, set]
 Returns or sets the keep or discard selected option More...
 
unsafe bool MakeInputCurvesDashed [get, set]
 Returns or sets the make input curves dashed option More...
 
unsafe
NXOpen.Features.TrimCurve2Builder.Operation 
OperationOption [get, set]
 Returns or sets the curve operation type More...
 
unsafe bool PerformExtendedIntersectionCalculation [get, set]
 Returns or sets the perform extended intersection calculation option More...
 
unsafe bool ProcessBoundingObjects [get, set]
 Returns or sets the process bounding objects option More...
 
unsafe NXOpen.Direction Vector [get, set]
 Returns or sets the user defined vector More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.TrimCurve2 builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateTrimCurve2FeatureBuilder

Default values.

Property Value

CurveExtensionOption

None

CurveOptions.Associative

True

DirectionOption

Shortest3DDistance

KeepOrDiscard

Keep

MakeInputCurvesDashed

0

OperationOption

Trim

PerformExtendedIntersectionCalculation

False

ProcessBoundingObjects

0

Created in NX11.0.1

Member Enumeration Documentation

the Curve extension selection

Enumerator
Natural 
Linear 
Circular 
None 

the Direction type selection

Enumerator
Shortest3DDistance 
AlongDirection 

the Keep or Discard selection

Enumerator
Keep 
Discard 

the Trim or Divide selection

Enumerator
Trim 
Divide 

Member Function Documentation

unsafe NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder NXOpen.Features.TrimCurve2Builder.CreateTrimCurveBoundingObjectBuilder ( )
inline

Creates an NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilder object.

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
unsafe void NXOpen.Features.TrimCurve2Builder.DeselectDivideLocation ( NXOpen.Point3d  helpPoint)
inline

The function deselects the divide location.

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
helpPointpreview point
unsafe void NXOpen.Features.TrimCurve2Builder.DeselectTrimRegion ( NXOpen.Point3d  helpPoint)
inline

The function sets help point for region select.

The region corresponding to help point will be kept/discarded depending on trim type

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
helpPointHelp point for region selection
unsafe void NXOpen.Features.TrimCurve2Builder.ResetTrimRegions ( )
inline

The function deselects all trim regions

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.Features.TrimCurve2Builder.SelectDivideLocation ( NXOpen.Point3d  helpPoint)
inline

The function selects the divide location.

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
helpPointpreview point
unsafe void NXOpen.Features.TrimCurve2Builder.SelectTrimRegion ( NXOpen.Point3d  helpPoint)
inline

The function sets help point for region select.

The region corresponding to help point will be kept/discarded depending on trim type

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
helpPointHelp point for region selection
unsafe void NXOpen.Features.TrimCurve2Builder.UpdateTrimRegionsAndDivideLocations ( )
inline

The regions are recreated and updated to reflect the change in the boundary curves

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

Property Documentation

unsafe NXOpen.GeometricUtilities.TrimCurveBoundingObjectBuilderList NXOpen.Features.TrimCurve2Builder.BoundingObjectList
get

Returns the list of bounding objects

Created in NX11.0.1

License requirements: None.

unsafe NXOpen.Features.TrimCurve2Builder.CurveExtension NXOpen.Features.TrimCurve2Builder.CurveExtensionOption
getset

Returns or sets the curve extension option

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.CurveOptions NXOpen.Features.TrimCurve2Builder.CurveOptions
get

Returns the Curve Options

Created in NX11.0.1

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.TrimCurve2Builder.CurveToTrim
get

Returns the curve to trim

Created in NX11.0.1

License requirements: None.

unsafe NXOpen.Features.TrimCurve2Builder.Direction NXOpen.Features.TrimCurve2Builder.DirectionOption
getset

Returns or sets the direction type

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.TrimCurve2Builder.KeepDiscard NXOpen.Features.TrimCurve2Builder.KeepOrDiscard
getset

Returns or sets the keep or discard selected option

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.TrimCurve2Builder.MakeInputCurvesDashed
getset

Returns or sets the make input curves dashed option

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.TrimCurve2Builder.Operation NXOpen.Features.TrimCurve2Builder.OperationOption
getset

Returns or sets the curve operation type

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.TrimCurve2Builder.PerformExtendedIntersectionCalculation
getset

Returns or sets the perform extended intersection calculation option

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.TrimCurve2Builder.ProcessBoundingObjects
getset

Returns or sets the process bounding objects option

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.TrimCurve2Builder.Vector
getset

Returns or sets the user defined vector

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.